/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef PLACE_H
#define PLACE_H

class PlaceRole;

/**
 * @stereotype place
 */
class Place {
  public:
    int assessAcrossRoles();

    void getCustomElseDefaultValue();

    int listRoles();

    static void listPlaces();

    static int assessAcrossPlaces();

  private:
    /**
     * @supplierCardinality 0..1
     * @clientCardinality 1
     */
    PlaceRole * lnkUnnamed;

    int serialNumber;
    int name;
    int address;
    int customValue;
};
#endif //PLACE_H
